Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.linker
Class XSLinker

    java.lang.Object
      com.google.gwt.core.ext.Linker
          com.google.gwt.core.ext.linker.AbstractLinker
              com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
                  com.google.gwt.core.linker.XSLinker

    @LinkerOrder(value=PRIMARY)
    @Shardable
    public class XSLinker

extends com.google.gwt.core.ext.linker.impl.SelectionScriptLinker

Generates a cross-site compatible bootstrap sequence.

Field Summary

Fields inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`COMPUTE_SCRIPT_BASE_JS, FRAGMENT_EXTENSION, FRAGMENT_SUBDIR, permutationsUtil, PROCESS_METAS_JS`

Constructor Summary
`XSLinker()`

Method Summary
`protected java.lang.String` | `generateDeferredFragment(TreeLogger logger, LinkerContext context, int fragment, java.lang.String js)`
`protected java.lang.String` | `getCompilationExtension(TreeLogger logger, LinkerContext context)`
`java.lang.String` | `getDescription()` Returns a human-readable String describing the Linker.
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName)`
`protected java.lang.String` | `getModulePrefix(TreeLogger logger, LinkerContext context, java.lang.String strongName, int numFragments)`
`protected java.lang.String` | `getModuleSuffix(TreeLogger logger, LinkerContext context)`
`protected java.lang.String` | `getSelectionScriptTemplate(TreeLogger logger, LinkerContext context)`

Methods inherited from class com.google.gwt.core.ext.linker.impl.SelectionScriptLinker
`doEmitCompilation, emitSelectionScript, fillSelectionScriptTemplate, generatePrimaryFragment, generatePrimaryFragmentString, generateSelectionScript, generateSelectionScript, getHostedFilename, link, link, maybeAddHostedModeFile, maybeOutputPropertyMap, readFileToStringBuffer, replaceAll, supportsDevModeInJunit, wrapPrimaryFragment`

Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker
`emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

Methods inherited from class com.google.gwt.core.ext.Linker
`isShardable, relink`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLinker

    public XSLinker()

Method Detail

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `Linker`
  Returns a human-readable String describing the Linker.

  Specified by:
    `getDescription` in class `Linker`

### generateDeferredFragment

    protected java.lang.String generateDeferredFragment(TreeLogger logger,
                                                        LinkerContext context,
                                                        int fragment,
                                                        java.lang.String js)

  Overrides:
    `generateDeferredFragment` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getCompilationExtension

    protected java.lang.String getCompilationExtension(TreeLogger logger,
                                                       LinkerContext context)

  Specified by:
    `getCompilationExtension` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName)

  Specified by:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getModulePrefix

    protected java.lang.String getModulePrefix(TreeLogger logger,
                                               LinkerContext context,
                                               java.lang.String strongName,
                                               int numFragments)

  Overrides:
    `getModulePrefix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getModuleSuffix

    protected java.lang.String getModuleSuffix(TreeLogger logger,
                                               LinkerContext context)

  Specified by:
    `getModuleSuffix` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

### getSelectionScriptTemplate

    protected java.lang.String getSelectionScriptTemplate(TreeLogger logger,
                                                          LinkerContext context)

  Specified by:
    `getSelectionScriptTemplate` in class `com.google.gwt.core.ext.linker.impl.SelectionScriptLinker`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD